Subject: bug#40652: #36924 way solves the problem for me

From: Ludovic Courtès <[email-masked]>
Date: Sat, 18 Apr 2020 18:40:17 +0200

Hi,

Guillaume Le Vaillant <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>> ‘%gdm-activation’ would throw an exception if the “gdm” user didn’t
>> exist, so apparently it’s run before the activation snippet of
>> ‘account-service-type’ (the ordering guarantee is not explicit.)
>>
>> Hmm I wonder what I’m missing then.  Would you like to try again?
>
> I tried again and I wasn't able to reproduce the problem.
> Maybe I did something weird with my config last time, but I can't
> remember what it could have been...

OK.

>> Now, I think we should generalize this chown thing and apply it to all
>> the user accounts.  ‘user-homes’ would chown recursively if needed or
>> use the newfangled shiftfs, like systemd-homed does¹.
>>
>> Thoughts?
>> Ludo’.
>>
>> ¹ https://systemd.io/HOME_DIRECTORY/
>
> A recursive chown for system accounts (with their home directory
> somewhere in '/var') sounds like a good idea.
>
> For user accounts (in '/home'), I guess it could be slightly annoying if
> a user wants to set a specific group id to some of their files and if it
> gets set back to the 'users' group at each system reconfiguration.
> However it's probably not a very common use case, and if we only change
> the files' uid, they could end up with an invalid gid anyway.

Right.  The recursive chown would only happen if the home directory
itself has the wrong UID though, so that would still let you fiddle with
ownership of the files within it.  Worth trying!

Thanks,
Ludo’.